function [diffmat, lsd] = lum_anova(X, pval)

ngroups = size(X, 2);
nsamples = size(X, 1);

groupmean = mean(X);
totalmean = mean(X(:));

ssw = (X - repmat(groupmean, [nsamples, 1])).^2;
ssw = sum(ssw(:));
ssw_df = ngroups * (nsamples - 1);
msw = ssw / ssw_df;
sst = (X - totalmean).^2;
sst = sum(sst(:));
sst_df = (ngroups * nsamples) - 1;
ssb = (repmat(groupmean, [nsamples, 1]) - totalmean).^2;
ssb = sum(ssb(:));
ssb_df = ngroups - 1;
msb = ssb / ssb_df;

fval = msb / msw;
fval_p = fcdf(fval, ssb_df, ssw_df, 'upper');
fprintf('means have %.e%% probability of being equal\n', fval_p * 100);

t_df = nsamples - ngroups;
tcrit = tinv(1 - pval, t_df);

lsd = tcrit * sqrt(msw * (2/nsamples));
diffmat = zeros(ngroups, ngroups);
for a=1:ngroups
    for b=a+1:ngroups
        diffmat(a, b) = abs(groupmean(a) - groupmean(b));
    end
end

end