T = turkdata();
nturkers = size(T, 3);
nscenes = size(T, 2);

lab = {'OURS','FRONT','BACK','LEFT','RIGHT'};

totalwins = sum(T, 2);
totalwins = reshape(totalwins, [5, nturkers])';
twmean = mean(totalwins);
twstd = std(totalwins);

clf
fHand = figure(1);
aHand = axes('parent', fHand);

b = bar(twmean);
cm = colormap('lines');
hold on
bar(1, twmean(1), 'parent', aHand, 'facecolor', cm(2, :));

%%

title('number of wins in pairwise comparisons');
twmeanstd = twstd / sqrt(nturkers);
tval_99 = 2.898;
zval_99 = 2.57;

errorbar(twmean, twmeanstd * zval_99, 'k.');
set(gca,'xticklabel', lab);

msg = sprintf('N=%d participants\np=1%%', nturkers);
text(3.45, 39, msg)

axis([0.4 5.6 0 43]);


hold off
%%
set(gcf, 'PaperUnits', 'inches');
set(gcf, 'PaperSize', [3.31 3.15]);
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperPosition', [-0.2 -.13 3.70 3.31]);
figtitle = 'bar_errorbar.pdf';
%saveas(gcf, figtitle)


%% alternative approach, provide confidence interval on diference

diffmean = twmean(1) - twmean(2);
diffstd = sqrt(twmeanstd(1)^2 + twmeanstd(2)^2);

fprintf(1, 'expected mean of diff: %.4f\n', diffmean);
fprintf(1, 'expected std  of diff: %.4f\n', diffstd);
lo = diffmean - tval_99 * diffstd;
hi = diffmean + tval_99 * diffstd;
fprintf(1, '99% confidence interval: [%.4f, %.4f]\n', lo, hi);



